import { Options } from 'sequelize';
import { CLIEngine } from 'eslint';
export declare type TransformCase = 'UPPER' | 'LOWER' | 'UNDERSCORE' | 'CAMEL' | 'PASCAL' | 'CONST';
export declare const TransformCases: Set<TransformCase>;
export interface IConfigMetadata {
    schema?: 'public' | string;
    tables?: string[];
    skipTables?: string[];
    indices?: boolean;
    timestamps?: boolean;
    case?: TransformCase;
    associationsFile?: string;
}
export interface IConfigOutput {
    clean?: boolean;
    outDir: string;
}
export interface IConfig {
    connection: Options;
    metadata?: IConfigMetadata;
    output: IConfigOutput;
    lintOptions?: CLIEngine.Options;
}
