"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const eslint_1 = require("eslint");
const eslintDefaultConfig_1 = require("./eslintDefaultConfig");
/**
 * @class Linter
 */
class Linter {
    constructor(options) {
        if (options) {
            this.engine = new eslint_1.CLIEngine(options);
        }
        else {
            this.engine = new eslint_1.CLIEngine({
                baseConfig: eslintDefaultConfig_1.eslintDefaultConfig,
                fix: true,
            });
        }
    }
    lintFiles(paths) {
        console.log('Linting files...');
        const report = this.engine.executeOnFiles(paths);
        eslint_1.CLIEngine.outputFixes(report);
        console.log('Linting done');
    }
}
exports.Linter = Linter;
